<?xml version="1.0" encoding="utf-8"?>
<creole>
    <files>
         <file filelist='scrumblr' name='/usr/share/eole/firewall/00_web_scrumblr.fw' source='scrumblr-firewall.fw' rm='True' mkdir='True'/>
         <file filelist='scrumblr-bareos' name='/etc/bareos/bareosfichiers.d/scrumblr.conf' source='scrumblr-bareos.conf' rm='True'/>
    </files>
    <containers>
        <container name='web'>
	    <package>scrumblr-apps</package>
            <service method="apache" servicelist="scrumblr">scrumblr</service>
            <service servicelist="scrumblr">scrumblr-apps</service>

            <file filelist='scrumblr' name='/etc/apache2/sites-available/scrumblr' source='scrumblr-apache.conf'/>
            <file filelist='scrumblr' name='/usr/share/eole/nodejs/scrumblr/config.js' source='scrumblr-config.js' rm='True'/>
         </container>
    </containers>
    <variables>
        <family name='applications web'>
            <variable name='activer_scrumblr' type='oui/non' description='Activer Scrubmlr (TBI collaboratif)'>
                <value>oui</value>
            </variable>
            <variable name="scrumblr_port" type="string" description="Port d'écoute de scrumblr">
                <value>9003</value>
            </variable>
        </family>
    </variables>
    <constraints>
        <condition name='hidden_if_in' source='activer_scrumblr'>
            <param>non</param>
            <target type='filelist'>scrumblr</target>
            <target type='filelist'>scrumblr-bareos</target>
            <target type='servicelist'>scrumblr</target>
            <target type='variable'>scrumblr_port</target>
        </condition>

        <condition name='hidden_if_in' source='activer_bareos_dir' fallback='True'>
            <param>non</param>
            <target type='filelist'>scrumblr-bareos</target>
		</condition>          
    </constraints>
    <help>
        <variable name='activer_scrumblr'>Scrumblr est un tableau blanc interactif et colllaboratif en ligne propulsé par Node.js</variable>
    </help>
</creole>